文档章节

Phpstorm 配置 git

技术缘
 技术缘
发布于 2016/11/18 16:58
字数 217
阅读 13
收藏 0

 

首先需要安装windows下的Git版本,网上有很多我下载的是msysgit反正都差不多,不会的自己百度。 


其次打开PhpStorm,点击File ,Settings ,找到Version Control 找到Git 


这里有个Path to Git executable 需要填写的,网上看了很多教程。填写以后点test都报错PHPStorm官方也没有说明,经过研究最后发现。这里填写的应该是 


G:\Dev_Git\Git\bin\git.exe 


如我的是:G:\Dev_Git\Git\bin\git.exe 

 

点击Test就可以测试通过了

http://static.oschina.net/uploads/space/2014/1207/212239_g4tL_855386.png

 

1.需要在本地创建一个分支

提交代码先提交到本地,然后提交到服务器

 

 

 

 

3,可以建一个自己的分支放在服务器(为了安全性考虑)

 

 

4,然后把上一步创建的分支push到服务器就可以本地提交到服务器了

© 著作权归作者所有

共有 人打赏支持
上一篇: Phpstorm 配置 SVN
下一篇: Git常用命令详解
技术缘
粉丝 0
博文 25
码字总数 14424
作品 0
浦东
程序员
私信 提问
PhpStorm搭建git环境

概述 新的PhpStorm发布后下载下来试用了一下,感觉很爽。比起之前用vim敲php代码舒服多了,而且对js和css都有很好的支持,智能提醒很快,速度也不错(不过需要跑Oracle的JDK上,使用OpenJDK...

胡佐治
2013/11/03
0
0
git clone 报错 Clone failed: Authentication failed for

新装了系统,git和phpstorm的配置全都没有了,重新安装了git和phpstorm 系统:windows10 代码托管平台:阿里云code 软件的安装不作赘述。 报错1 Could not read from remote repository 解决...

Marhal
2018/10/21
0
0
PHPStorm 2017.1 发布,PHP 集成开发环境

PHPStorm无疑是开发PHP项目的神器,秉承着JetBrains家族的优良传统,是用来写世界上最好的语言的不二选择。在今天迎来了最新的2017.1版本,一接到通知邮件,我就迫不及待的更新了新版本,并查...

panlatent
2017/03/24
7.6K
41
docker学习系列15 Docker在PHPStorm中的使用

PHPStorm整合一些了Docker相关的功能,并有官方的Docker镜像 下面介绍怎么通过PHPStorm创建并运行一个docker容器项目并启用xdebug,以Windows系统为例 运行 Docker for Windows,Docker运行成...

飞凡的陀螺
2018/08/29
0
0
【附下载】PHP IDE——PhpStorm更新至v2018.3.3

下载PhpStorm最新版本 PhpStorm是一个轻量级且便捷的PHP IDE,其旨在提高用户效率,可深刻理解用户的编码,提供智能代码补全,快速导航以及即时错误检查。可随时帮助用户对其编码进行调整,运...

电池盒
01/11
0
0

没有更多内容

加载失败,请刷新页面

加载更多

string类回顾

writeademo
2分钟前
0
0
在DataWorks中实现指定UDF只能被指定账户访问

在DataWorks中实现指定资源被指定账户访问 背景 之前写过一篇文章是关于“DataWorks和MaxCompute内部权限体系的区别”有兴趣的朋友可以点击阅读查看详情。但是还是有些同学会问,我如何在Dat...

阿里云云栖社区
3分钟前
0
0
MaxCompute安全管理指南-案例篇

通过《MaxCompute安全管理-基础篇》了解到MaxCompute和DataWorks的相关安全模型、两个产品安全方面的关联,以及各种安全操作后,本篇主要给出一些安全管理案例,给安全管理的成员作为参考。 ...

阿里云官方博客
7分钟前
0
0
Spring Cloud 中使用Feign解决参数注解无法继承的问题

Spring Cloud 中使用Feign解决参数注解无法继承的问题 在使用Feign的时候,通常先写一个接口类,然后再写实现类,根据官网的例子接下来编写一个简单的Feign的请求例子 @FeignClient("spring...

不学无数的程序员
8分钟前
0
0
springboot kafka读写

依赖 <dependency> <groupId>org.springframework.kafka</groupId> <artifactId>spring-kafka</artifactId> <version>1.1.1.RELEASE</version></dependency> 配置 #=======......

张欢19933
14分钟前
0
0

没有更多内容

加载失败,请刷新页面

加载更多

返回顶部
顶部